<?php require $this->out_file("views/tinymce.init.js.php"); $data = $this->data(); ?>

<h2>Modifier un morceau</h2>

<script type="text/javascript">

var derivations = {};
<?php

  $index_derivation = 1;
  foreach($this->out["morceau"]["derivations"] as $id_derivation => $derivation) :
  if($id_derivation >= $index_derivation) $index_derivation = $id_derivation + 1;

?>
derivations[<?php echo $id_derivation ?>] = true;
<?php endforeach; ?>
var index_derivation = <?php echo $index_derivation ?>;
var is_reference = <?php echo $this->out["morceau"]["reference"] ? "true" : "false" ?>;

</script>

<ul class="buttons">
  <li><a href="<?php echo $this->url("users/morceaux") ?>">Retour &agrave; la liste des morceaux</a></li>
</ul>

<?php if($this->out["groupes"]["total"] > 0) : ?>

<form name="morceau_form" action="<?php echo $this->url("users/morceaux/edit", array("id" => $_GET[$this->param("id")])) ?>" method="post">
  <fieldset>
    <input type="hidden" name="date_inscription" value="<?php echo $this->out["morceau"]["date_inscription"] ?>" />

    <ul class="form">
  
      <li>
        <label for="id_groupe">&nbsp;</label>
        <div class="form_input">
          <ul class="source_groupes">
            <?php foreach($this->out["morceau"]["groupes"] as $id_groupe => $groupe) : ?>
            <li class="source_groupe" id="source_groupe_<?php echo $id_groupe; ?>">
              <span class="author"><?php echo $groupe["nom"]; ?></span>
              <span class="access"><?php echo $this->out["sources_access"][$groupe["id_groupe_status"]]["intitule"]; ?></span>
            </li>
            <?php endforeach; ?>
          </ul>
        </div>
      </li>

    </ul>

<!-- ul class="buttons">
  <li><a href="<?php echo $this->url("users/morceaux/groupes") ?>">Editer les groupes du morceau</a></li>
</ul -->

    <ul>

      <li>
        <div id="album_select">
          <label for="album">album</label>
          <div class="form_input">
            <select name="album" id="album">
              <option value="0"<?php echo $this->out["morceau"]["album"] == "0" ? " selected=\"selected\"" : "" ?>>hors album</option>
              <?php foreach($this->out["albums"] as $id_album => $album) : ?>
              <option value="<?php echo $id_album ?>"<?php echo $this->out["morceau"]["album"] == $id_album ? " selected=\"selected\"" : "" ?>><?php echo $album["titre"] ?></option>
              <?php endforeach; ?>
            </select>
          </div>
        </div>
      </li>
    </ul>
  
    <ul class="admin_form_head">
      <li>
        <label for="is_derivation">ce morceau est une d&eacute;rivation</label>
        <div class="form_input">
          <input type="checkbox" id="is_derivation" name="is_derivation"<?php echo $this->out["morceau"]["derivations"] ? " checked=\"checked\"" : "" ?> />
        </div>
      </li>
    </ul>
  
    <ul class="admin_form_content" id="derivation_input"<?php echo $this->out["morceau"]["derivations"] ? "" : " style=\"display:none;\"" ?>>
  
      <li>
  
        <div id="derivations_list" class="form_values">
  
          <div id="derivations_items">
          <?php
  
            foreach($this->out["morceau"]["derivations"] as $id_derivation => $derivation)
            { $this->set_out
              ( "form_params",
                array
                ( "maj_url" => $this->url("users/morceaux/maj_xml", array("id" => $this->out["morceau"]["id"], "derivation" => $id_derivation, "xml" => "derivation")),
                  "name" => "derivation",
                  "label" => "d&eacute;rive de &raquo; ",
                  "can_delete" => true,
                  "id" => $id_derivation
                )
              );
              $this->set_out("xml_form_source", $derivation);
              require $this->out_file("views/content/sources/xml_form.php");
            }
  
          ?>
          </div>
  
          <ul class="admin">
            <li><a class="add" href="#" onclick="add_derivation('', false, '', false); return false;">Ajouter une source de d&eacute;rivation</a></li>
          </ul>
  
        </div>
  
      </li>
  
    </ul>
  
    <ul class="admin_form_head">
      <li>
        <label for="is_reference">ce morceau est une r&eacute;f&eacute;rence</label>
        <div class="form_input">
          <input type="checkbox" id="is_reference" name="is_reference"<?php echo $this->out["morceau"]["reference"] ? " checked=\"checked\"" : "" ?> />
        </div>
      </li>
    </ul>
  
    <ul class="admin_form_content" id="reference_form" class="form"<?php echo $this->out["morceau"]["reference"] ? "" : " style=\"display: none\"" ?>>
  
      <li id="reference_input">
  
        <?php
  
          $this->set_out
          ( "form_params",
            array
            ( "maj_url" =>
              ( $this->out["morceau"]["reference"] && $this->config("cache_actif") ?
                  $this->url("users/morceaux/maj_xml", array("id" => $this->out["morceau"]["id"], "xml" => "reference"))
                : ""
              ),
              "name" => "reference",
              "label" => "r&eacute;f&eacute;rence &raquo; ",
              "can_delete" => false
            )
          );
          $this->set_out("xml_form_source", $this->out["morceau"]["reference"]);
          require $this->out_file("views/content/sources/xml_form.php");
  
        ?>

      </li>
  
    </ul>
  
    <ul id="original_form" class="form"<?php echo $this->out["morceau"]["reference"] ? " style=\"display: none\"" : "" ?>>
  
      <li>
        <label for="titre">titre</label>
        <div class="form_input">
          <input type="text" class="long_text" name="titre" id="titre" value="<?php echo $this->out["morceau"]["titre"] ?>" />
        </div>
      </li>
  
      <li>
        <label for="licence">licence</label>
        <div class="form_input">
          <select name="licence" id="licence">
          <?php foreach($this->out["licences"]["list"] as $id_licence => $licence) : ?>
            <option value="<?php echo $id_licence ?>"<?php echo $this->out["morceau"]["licence"]["id"] == $id_licence ? "selected=\"selected\"" : "" ?>><?php echo $licence["nom"] ?></option>
          <?php endforeach; ?>
          </select>
        </div>
      </li>

      <li>
        <label for="date_creation">date de cr&eacute;ation</label>
        <div class="form_input">
  <?php
  
    $date_creation =
    ( $this->out["morceau"]["date_creation"] ?
        explode("-", $this->out["morceau"]["date_creation"])
      : array(0 => date("Y"), 1 => date("m"), 2 => date("d"))
    );
  
  ?>
          jour
          <select name="jour_date_creation">
  <?php for($j = 1; $j <=31; $j++) : ?>
            <option value="<?php echo $j ?>"<?php echo $date_creation[2] == $j ? " selected=\"selected\"" : ""?>><?php echo $j ?></option>
  <?php endfor; ?>
          </select>
          mois
          <select name="mois_date_creation">
  <?php for($m = 1; $m <=12; $m++) : ?>
           <option value="<?php echo $m ?>"<?php echo $date_creation[1] == $m ? " selected=\"selected\"" : ""?>><?php echo $m ?></option>
  <?php endfor; ?>
          </select>
          ann&eacute;e
          <input type="text" size="4" name="annee_date_creation" value="<?php echo $date_creation[0] ?>">
        </div>
      </li>
  
      <li>
        <h3><label>Fichiers</label> <a href="#" onclick="add_document(); return false;">Ajouter un fichier</a></h3>
      </li>
  
      <li>
        <div id="documents">
  
  <?php if($this->out["morceau"]) : foreach($this->out["morceau"]["documents"] as $id_document => $document) : ?>
  
          <div class="document" id="document_<?php echo $id_document ?>">
            <div class="delete"><a href="#" onclick="del_document('<?php echo $id_document ?>'); return false;">Enlever ce fichier</a></div>
            <label for="document_nom_<?php echo $id_document ?>">nom</label>
            <input type="text" class="long_text" name="document_nom_<?php echo $id_document ?>" id="document_nom_<?php echo $id_document ?>" value="<?php echo $document["nom"] ?>" />
            <div class="clear"><!-- --></div>
            <label for="document_url_<?php echo $id_document ?>">url</label>
            <input type="text" size="48" name="document_url_<?php echo $id_document ?>" id="document_url_<?php echo $id_document ?>" value="<?php echo $document["url"] ?>" />
          </div>
          <script type="text/javascript">if(last_document_id <= <?php echo $id_document ?>) last_document_id = <?php echo $id_document ?> + 1; </script>
  
  <?php endforeach; endif; ?>
  
        </div>
      </li>
  
      <li>
        <label for="description">description</label>
      </li>
      <li>
        <textarea class="tinymce" cols="70" rows="10" name="description" id="description"><?php echo $this->out["morceau"]["description"] ?></textarea>
      </li>
  
    </ul>
  
    <ul class="form">
      <li class="buttons">
        <div class="form_buttons">
          <input type="submit" value="Enregistrer" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php else : ?>

<p>Vous ne g&eacute;rez aucun groupe pour le moment.</p>
<p>Pour ajouter un morceau, vous devez d'abord <a href="<?php echo $this->url("users/groupes/add") ?>">cr&eacute;er un groupe</a>.</p>

<?php endif; ?>
