<?php require $this->out_file("views/tinymce.init.js.php"); $data = $this->data(); ?>

<h2>Modifier les groupes d'un morceau</h2>

<script type="text/javascript">

<ul class="buttons">
  <li><a href="<?php echo $this->url("users/morceaux/edit", array("id" => $this->out["morceau"]["id"])) ?>">Retour au morceau</a></li>
  <li><a href="<?php echo $this->url("users/morceaux") ?>">Retour &agrave; la liste des morceaux</a></li>
</ul>

<form action="<?php echo $this->url("users/morceaux/groupes", array("id" => $this->out["morceau"]["id"])) ?>" method="post">
  <fieldset>
    <table class="admin">
      <tr>
        <th>groupe</th>
        <th>accès</th>
        <th align="center">enlever</th>
      </tr>
      <?php foreach($this->out["morceaux"]["groupes"] as $id_groupe => $groupe) : ?>
      <tr class="hl">
        <td>
          <?php echo $groupe["nom"]; ?>
        </td>
        <td>
          <select name="source_access_<?php echo $id_groupe; ?>" id="source_access_<?php echo $id_groupe; ?>">
          <?php foreach($this->out["sources_access"]["list"] as $id_source_access => $source_access) : ?>
            <option value="<?php echo $id_source_access ?>"<?php echo $groupe["id_groupe_status"] == $id_source_access ? " selected" : ""><?php echo $source_access["intitule"] ?></option>
          <?php endforeach; ?>
          </select>
        </td>
        <td class="action">
        <a href="<?php echo $this->url("users/morceaux/del_groupe", array("morceau" => $id_morceau, "groupe" => $id_groupe)) ?>"
           class="admin_link"
           title="enlever ce groupe"><img src="<?php echo $this->out_url("icons/del.gif") ?>"
           onclick="return confirm('enlever ce groupe ?')"/></a>
        </td>
      </tr>
      <?php endforeach; ?>
    </table>
    <ul class="form">
      <li class="buttons">
        <div class="form_buttons">
          <input type="submit" value="Enregistrer les accès" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php if($this->out["groupes"]["total"] > 0) : ?>

<h3>Ajouter un groupe</h3>

<form name="morceau_form" action="<?php echo $this->url("users/morceaux/add_groupe", array("morceau" => $id_morceau, "groupe" => $id_groupe)) ?>" method="post">
  <fieldset>
    <ul class="form">
      <li>
        <label for="id_groupe">groupe</label>
        <div class="form_input">
          <select name="id_groupe" id="id_groupe">
            <?php foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) : ?>
            <option value="<?php echo $id_groupe ?>"><?php echo $groupe["nom"] ?></option>
            <?php endforeach; ?>
          </select>
        </div>
      </li>
      <li>
        <label for="source_access_<?php echo $id_groupe; ?>">Accès</label>
        <div class="form_input">
          <select name="source_access_<?php echo $id_groupe; ?>" id="source_access_<?php echo $id_groupe; ?>">
          <?php foreach($this->out["sources_access"]["list"] as $id_source_access => $source_access) : ?>
            <option value="<?php echo $id_source_access ?>"><?php echo $source_access["intitule"] ?></option>
          <?php endforeach; ?>
          </select>
        </div>
      </li>  
      <li class="buttons">
        <div class="form_buttons">
          <input type="submit" value="Ajouter" />
        </div>
      </li>  
    </ul>
  </fieldset>
</form>

<?php endif; ?>
