<h2>Morceaux</h2>

<ul class="buttons">
  <li><a class="add" href="<?php echo $this->url("users/morceaux/add") ?>">Nouveau morceau</a></li>
</ul>

<?php if($this->out["groupes"]["total"] > 0 || (isset($this->out["albums"]["total"]) && $this->out["albums"]["total"] > 0)) : ?>

<ul class="filters">
<?php if($this->out["groupes"]["total"] > 0) : ?>
  <li>
<?php

  $url_params = array();
  if(isset($_GET[$this->param("album")]) && !$_GET[$this->param("album")]) $url_params["album"] = "";

?>
    <select onchange="document.location=this.options[this.selectedIndex].value;">
      <option value="<?php echo $this->url("users/morceaux", $url_params) ?>"<?php echo $_GET[$this->param("groupe")] == "0" ? " selected=\"selected\"" : "" ?>>Tous les groupes</option>
      <?php foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) : $url_params["groupe"] = $id_groupe; ?>
      <option value="<?php echo $this->url("users/morceaux", $url_params) ?>"<?php echo $_GET[$this->param("groupe")] == $id_groupe ? " selected=\"selected\"" : "" ?>><?php echo $groupe["nom"] ?></option>
      <?php endforeach; ?>
    </select>
  </li>
<?php endif; ?>
<?php if($this->out["albums"]) : ?>
  <li>
    <span id="album_select">
<?php

  $url_params = array();
  if(isset($_GET[$this->param("groupe")])) $url_params["groupe"] = $_GET[$this->param("groupe")];

?>
    <select onchange="document.location=this.options[this.selectedIndex].value;">
      <option value="<?php echo $this->url("users/morceaux", $url_params) ?>"<?php echo !isset($_GET[$this->param("album")]) ? " selected=\"selected\"" : "" ?>>Tous les morceaux</option>
<?php $url_params["album"] = ""; ?>
      <option value="<?php echo $this->url("users/morceaux", $url_params) ?>"<?php echo isset($_GET[$this->param("album")]) && !$_GET[$this->param("album")] ? " selected=\"selected\"" : "" ?>>Hors album</option>
      <?php foreach($this->out["albums"] as $id_album => $album) : $url_params["album"] = $id_album; ?>
      <option value="<?php echo $this->url("users/morceaux", $url_params) ?>"<?php echo $_GET[$this->param("album")] == $id_album ? " selected=\"selected\"" : "" ?>>Album: <?php echo $album["reference"] ? $album["reference"]["titre"] : $album["titre"] ?></option>
      <?php endforeach; ?>
    </select>
    </span>
  </li>
<?php endif; ?>
</ul>

<?php endif; ?>

<?php if($this->out["morceaux"]["list"]) : ?>

<?php $items = "morceaux"; $legend = "morceaux"; require $this->out_file("views/navig.php"); ?>

<?php

  $get_params = array();
  if(isset($_GET[$this->param("groupe")]) && $_GET[$this->param("groupe")]) $get_params["groupe"] = $_GET[$this->param("groupe")];
  if(isset($_GET[$this->param("album")]) && $_GET[$this->param("album")]) $get_params["album"] = $_GET[$this->param("album")];

?>
<form name="sources_form" action="<?php echo $this->url("users/morceaux", $get_params) ?>" method="post">
  <fieldset>
    <table class="admin">
      <tr>
        <th>titre</th>
        <th>ordre</th>
        <th align="center" colspan="2">actions</th>
      </tr>
    <?php foreach($this->out["morceaux"]["list"] as $id_morceau => $morceau) : ?>
      <tr class="hl">
        <td>
    <?php if($morceau["reference"]) : ?>
          r&eacute;f&eacute;rence &raquo; <a href="<?php echo $morceau["reference"]["from"] ?>"><?php echo $morceau["reference"]["titre"] ?> (<?php echo $morceau["reference"]["auteur"] ?>)</a>
    <?php else : ?>
          <a href="<?php echo $this->url("users/morceaux/edit", array("id" => $id_morceau)) ?>"><?php echo $morceau["titre"] ?></a>
    <?php endif; ?>
    <?php if($morceau["derivations"]) : ?>
          <br />
          <span class="small">
            d&eacute;rive de &raquo;
    <?php $n = 0; foreach($morceau["derivations"] as $derivation) : ?>
            <?php echo $n ? ", " : "" ?><a href="<?php echo $derivation["from"] ?>"><?php echo $derivation["titre"] ?> (<?php echo $derivation["auteur"] ?>)</a>
    <?php $n++; endforeach; ?>
          </span>
    <?php endif; ?>
        </td>
        <td class="action"><input type="text" name="ordre_<?php echo $id_morceau ?>" value="<?php echo isset($morceau["ordre"]) ? $morceau["ordre"] : 0 ?>" size="3" /></td>
        <td class="action">
    <?php if($morceau["permissions"]["editeur"]) : ?>
        <a href="<?php echo $this->url("users/morceaux/edit", array("id" => $id_morceau)) ?>"
           class="admin_link"
           title="modifier ce morceau"><img src="<?php echo $this->out_url("icons/edit.gif") ?>" /></a>
    <?php else : ?>
        &nbsp;
    <?php endif; ?>
        </td>
        <td class="action">
    <?php if($morceau["permissions"]["admin"]) : ?>
        <a href="<?php echo $this->url("users/morceaux/del", array("id" => $id_morceau)) ?>"
           class="admin_link"
           title="supprimer ce morceau"><img src="<?php echo $this->out_url("icons/del.gif") ?>"
           onclick="return confirm('Supprimer ce morceau ?')"/></a>
    <?php else : ?>
        &nbsp;
    <?php endif; ?>
        </td>
      </tr>
    <?php endforeach; ?>
    </table>
    <ul class="form">
      <li class="buttons">
        <div class="form_buttons">
          <input type="submit" value="Enregistrer l'ordre" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php $items = "morceaux"; $legend = "morceaux"; require $this->out_file("views/navig.php"); ?>

<?php else : ?>
<p>Aucun morceau pour le moment</p>
<?php endif; ?>
