<?php require $this->out_file("views/tinymce.init.js.php"); ?>

<h2>Nouvelle piste</h2>

<script type="text/javascript">

var morceaux = {};
<?php foreach($this->out["morceaux"] as $id_groupe => $morceaux) : ?>
morceaux["<?php echo $id_groupe ?>"] = {};
<?php foreach($morceaux as $id_morceau => $morceau) : ?>
morceaux["<?php echo $id_groupe ?>"]["<?php echo $id_morceau ?>"] = "<?php echo $morceau["titre"] ?>";
<?php endforeach; ?>
<?php endforeach; ?>
var derivations = {};
<?php

  $index_derivation = 1;
  foreach($this->out["piste"]["derivations"] as $id_derivation => $derivation) :
  if($id_derivation >= $index_derivation) $index_derivation = $id_derivation + 1;

?>
derivations[<?php echo $id_derivation ?>] = true;
<?php endforeach; ?>
var index_derivation = <?php echo $index_derivation ?>;
var is_reference = <?php echo $this->out["piste"]["reference"] ? "true" : "false" ?>;

</script>

<ul class="buttons">
  <li><a href="<?php echo $this->url("users/pistes") ?>">Retour &agrave; la liste des pistes</a></li>
</ul>

<?php if($this->out["groupes"]["total"] > 0) : ?>

<form name="morceau_form" action="<?php echo $this->url("users/pistes/add") ?>" method="post">
  <fieldset>
    <ul class="form">
  
      <li>
        <label for="id_groupe">groupe</label>
        <div class="form_input">
          <select name="id_groupe" id="id_groupe" onchange="select_morceaux_groupe(this.options[this.selectedIndex].value)">
          <?php
  
            $current_groupe = null;
            $first_groupe = null;
            foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) :
            $selected = false;
            if(!isset($first_groupe)) $first_groupe = $id_groupe;
            if($this->out["groupe"]["id"] == $id_groupe)
            { $current_groupe = $id_groupe;
              $selected = true;
            }
  
          ?>
            <option value="<?php echo $id_groupe ?>"<?php echo $selected ? "selected=\"selected\"" : "" ?>><?php echo $groupe["nom"] ?></option>
          <?php
  
            endforeach;
            if(!isset($current_groupe)) $current_groupe = $first_groupe;
  
          ?>
          </select>
        </div>
      </li>
  
      <li>
        <div id="morceau_select">
          <label for="morceau">morceau</label>
          <div class="form_input">
            <select name="morceau" id="morceau">
              <option value="0"<?php echo $_GET[$this->param("morceau")] == "0" ? " selected=\"selected\"" : "" ?>>hors morceau</option>
              <?php if($this->out["morceaux"][$current_groupe]) : ?>
              <?php foreach($this->out["morceaux"][$current_groupe] as $id_morceau => $morceau) : ?>
              <option value="<?php echo $id_morceau ?>"<?php echo $this->out["piste"]["morceau"] == $id_morceau ? " selected=\"selected\"" : "" ?>><?php echo $morceau["titre"] ?></option>
              <?php endforeach; ?>
              <?php endif; ?>
            </select>
          </div>
        </div>
      </li>
    </ul>
  
    <ul class="admin_form_head">
      <li>
        <label for="is_derivation">cette piste est une dérivation</label>
        <div class="form_input">
          <input type="checkbox" id="is_derivation" name="is_derivation"<?php echo $this->out["piste"]["derivations"] ? " checked=\"checked\"" : "" ?> />
        </div>
      </li>
    </ul>
  
    <ul class="admin_form_content" id="derivation_input"<?php echo $this->out["piste"]["derivations"] ? "" : " style=\"display:none;\"" ?>>
  
      <li>
  
        <div id="derivations_list" class="form_values">
  
          <div id="derivations_items">
          <?php
  
            foreach($this->out["piste"]["derivations"] as $id_derivation => $derivation)
            { $this->set_out
              ( "form_params",
                array
                ( "name" => "derivation",
                  "label" => "d&eacute;rive de &raquo; ",
                  "can_delete" => true,
                  "id" => $id_derivation
                )
              );
              $this->set_out("xml_form_source", $derivation);
              require $this->out_file("views/content/sources/xml_form.php");
            }
  
          ?>
          </div>
  
          <ul class="admin">
            <li><a class="add" href="#" onclick="add_derivation('', false, '', false); return false;">Ajouter une source de d&eacute;rivation</a></li>
          </ul>
  
        </div>
  
      </li>
  
    </ul>
  
    <ul class="admin_form_head">
      <li>
        <label for="is_reference">cette piste est une r&eacute;f&eacute;rence</label>
        <div class="form_input">
          <input type="checkbox" id="is_reference" name="is_reference"<?php echo $this->out["piste"]["reference"] ? " checked=\"checked\"" : "" ?> />
        </div>
      </li>
    </ul>
  
    <ul class="admin_form_content" id="reference_form" class="form"<?php echo $this->out["piste"]["reference"] ? "" : " style=\"display: none\"" ?>>
  
      <li id="reference_input">
  
        <?php
  
          $this->set_out
          ( "form_params",
            array
            ( "name" => "reference",
              "label" => "r&eacute;f&eacute;rence &raquo; ",
              "can_delete" => false
            )
          );
          $this->set_out("xml_form_source", $this->out["piste"]["reference"]);
          require $this->out_file("views/content/sources/xml_form.php");
  
        ?>
  
      </li>
  
    </ul>
  
    <ul id="original_form" class="form"<?php echo $this->out["piste"]["reference"] ? " style=\"display: none\"" : "" ?>>
  
      <li>
        <label for="titre">titre</label>
        <div class="form_input">
          <input type="text" class="long_text" name="titre" id="titre" value="<?php echo $this->out["piste"]["titre"] ?>" />
        </div>
      </li>
  
      <li>
        <label for="licence">licence</label>
        <div class="form_input">
          <select name="licence" id="licence">
          <?php foreach($this->out["licences"]["list"] as $id_licence => $licence) : ?>
            <option value="<?php echo $id_licence ?>"<?php echo $this->out["piste"]["licence"]["id"] == $id_licence ? "selected=\"selected\"" : "" ?>><?php echo $licence["nom"] ?></option>
          <?php endforeach; ?>
          </select>
        </div>
      </li>
  
      <li>
        <label for="date_creation">date de cr&eacute;ation</label>
        <div class="form_input">
  <?php
  
    $date_creation =
    ( isset($this->out["piste"]["date_creation"]) && $this->out["piste"]["date_creation"] ?
        explode("-", $this->out["piste"]["date_creation"])
      : array(0 => date("Y"), 1 => date("m"), 2 => date("d"))
    );
  
  ?>
          jour
          <select name="jour_date_creation">
  <?php for($j = 1; $j <=31; $j++) : ?>
            <option value="<?php echo $j ?>"<?php echo $date_creation[2] == $j ? " selected=\"selected\"" : ""?>><?php echo $j ?></option>
  <?php endfor; ?>
          </select>
          mois
          <select name="mois_date_creation">
  <?php for($m = 1; $m <=12; $m++) : ?>
           <option value="<?php echo $m ?>"<?php echo $date_creation[1] == $m ? " selected=\"selected\"" : ""?>><?php echo $m ?></option>
  <?php endfor; ?>
          </select>
          ann&eacute;e
          <input type="text" size="4" name="annee_date_creation" value="<?php echo $date_creation[0] ?>">
  
        </div>
      </li>
  
      <li>
        <h3><label>Fichiers</label> <a href="#" onclick="add_document(); return false;">Ajouter un fichier</a></h3>
      </li>
  
      <li>
        <div id="documents">
  
  <?php if($this->out["piste"]) : foreach($this->out["piste"]["documents"] as $id_document => $document) : ?>
  
          <div class="document" id="document_<?php echo $id_document ?>">
            <div class="delete"><a href="#" onclick="del_document('<?php echo $id_document ?>'); return false;">Enlever ce fichier</a></div>
            <label for="document_nom_<?php echo $id_document ?>">nom</label>
            <input type="text" class="long_text" name="document_nom_<?php echo $id_document ?>" id="document_nom_<?php echo $id_document ?>" value="<?php echo $document["nom"] ?>" />
            <div class="clear"><!-- --></div>
            <label for="document_url_<?php echo $id_document ?>">url</label>
            <input type="text" size="40" name="document_url_<?php echo $id_document ?>" id="document_url_<?php echo $id_document ?>" value="<?php echo $document["url"] ?>" />
          </div>
          <script type="text/javascript">if(last_document_id <= <?php echo $id_document ?>) last_document_id = <?php echo $id_document ?> + 1; </script>
  
  <?php endforeach; endif; ?>
  
        </div>
      </li>
  
      <li>
        <label for="description">description</label>
      </li>
      <li>
        <textarea class="tinymce" cols="70" rows="10" name="description" id="description"><?php echo isset($this->out["piste"]["description"]) ? $this->out["piste"]["description"] : "" ?></textarea>
      </li>
  
    </ul>
  
    <ul class="form">
      <li>
        <div class="form_buttons">
          <input type="submit" value="Ajouter" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php else : ?>

<p>Vous ne g&eacute;rez aucun groupe pour le moment.</p>
<p>Pour ajouter une piste, vous devez d'abord <a href="<?php echo $this->url("users/groupes/add") ?>">cr&eacute;er un groupe</a>.</p>

<?php endif; ?>
